## fakesink

fakesink

## Properties

gboolean | can-activate-pull | Read / Write
gboolean | can-activate-push | Read / Write
gboolean | dump | Read / Write
gchar * | last-message | Read
gint | num-buffers | Read / Write
gboolean | signal-handoffs | Read / Write
gboolean | silent | Read / Write
GstFakeSinkStateError | state-error | Read / Write
gboolean | drop-out-of-segment | Read / Write

## Signals

void | handoff | Run Last
void | preroll-handoff | Run Last

## Types and Values

struct | GstFakeSink
enum | GstFakeSinkStateError

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstFakeSink

## Description

Dummy sink that swallows everything.

#### Example launch line

    1

    gst-launch-1.0 audiotestsrc num-buffers=1000 ! fakesink sync=false

Render 1000 audio buffers (of default size) as fast as possible.

## Synopsis

### Element Information

plugin | coreelements
author | Erik Walthinsen <omega@cse.ogi.edu>, Wim Taymans <wim@fluendo.com>, Mr. 'frag-me-more' Vanderwingo <wingo@fluendo.com>
class | Sink

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Functions

## Types and Values

### struct GstFakeSink

    struct GstFakeSink;

The opaque GstFakeSink data structure.

### enum GstFakeSinkStateError

Possible state change errors for the state-error property.

#### Members

FAKE_SINK_STATE_ERROR_NONE | no error |
FAKE_SINK_STATE_ERROR_NULL_READY | cause the NULL to READY state change to fail |
FAKE_SINK_STATE_ERROR_READY_PAUSED | cause the READY to PAUSED state change to fail: |
FAKE_SINK_STATE_ERROR_PAUSED_PLAYING | cause the PAUSED to PLAYING state change to fail: |
FAKE_SINK_STATE_ERROR_PLAYING_PAUSED | cause the PLAYING to PAUSED state change to fail: |
FAKE_SINK_STATE_ERROR_PAUSED_READY | cause the PAUSED to READY state change to fail: |
FAKE_SINK_STATE_ERROR_READY_NULL | cause the READY to NULL state change to fail: |

## Property Details

### The `“can-activate-pull”` property

      “can-activate-pull”        gboolean

Can activate in pull mode.

Flags: Read / Write

Default value: FALSE

### The `“can-activate-push”` property

      “can-activate-push”        gboolean

Can activate in push mode.

Flags: Read / Write

Default value: TRUE

### The `“dump”` property

      “dump”                     gboolean

Dump buffer contents to stdout.

Flags: Read / Write

Default value: FALSE

### The `“last-message”` property

      “last-message”             gchar *

The message describing current status.

Flags: Read

Default value: NULL

### The `“num-buffers”` property

      “num-buffers”              gint

Number of buffers to accept going EOS.

Flags: Read / Write

Allowed values: >= G_MAXULONG

Default value: -1

### The `“signal-handoffs”` property

      “signal-handoffs”          gboolean

Send a signal before unreffing the buffer.

Flags: Read / Write

Default value: FALSE

### The `“silent”` property

      “silent”                   gboolean

Don't produce last_message events.

Flags: Read / Write

Default value: TRUE

### The `“state-error”` property

      “state-error”              GstFakeSinkStateError

Generate a state change error.

Flags: Read / Write

Default value: No state change errors

### The `“drop-out-of-segment”` property

      “drop-out-of-segment”      gboolean

Drop and don't render / hand off out-of-segment buffers.

Flags: Read / Write

Default value: TRUE

## Signal Details

### The `“handoff”` signal

    void
    user_function (GstFakeSink *fakesink,
                   GstBuffer   *buffer,
                   GstPad      *pad,
                   gpointer     user_data)

This signal gets emitted before unreffing the buffer.

#### Parameters

fakesink | the fakesink instance |
buffer | the buffer that just has been received |
pad | the pad that received it |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“preroll-handoff”` signal

    void
    user_function (GstFakeSink *fakesink,
                   GstBuffer   *buffer,
                   GstPad      *pad,
                   gpointer     user_data)

This signal gets emitted before unreffing the buffer.

#### Parameters

fakesink | the fakesink instance |
buffer | the buffer that just has been received |
pad | the pad that received it |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

## See Also

GstFakeSrc